# Security Policy

This page borrows parts of its contents from <https://kubernetes.io/security/>

## Report a Vulnerability

We are extremely grateful for security researchers and users that report
vulnerabilities to the Dynatrace Open Source Community. All reports are
thoroughly investigated by a set of community members.

To make a report, submit your vulnerability to <opensource@dynatrace.com>. This
allows triage and handling of the vulnerability within an appropriate timeframe
and best effort. If you would like to use encryption for your message, please
first reach out to request a PGP key.

### When Should I Report a Vulnerability?

- You think you discovered a potential security vulnerability in our Open Source
  projects
- You are unsure how a vulnerability affects our Open Source Projects
- You think you discovered a vulnerability in another project that our Open
  Source projects depends on. For projects with their own vulnerability
  reporting and disclosure process, please report it directly there.

### When Should I NOT Report a Vulnerability?

- You need help tuning one of our our Open Source projects for security - please
  discuss this with the maintainers of said project
- You need help applying security-related updates
- Your issue is not security-related

## Security Vulnerability Response

Each report is acknowledged and analyzed by the security contacts within an
appropriate timeframe. This will set off the [Security Release
Process](#process).

Any vulnerability information shared with the Dynatrace Open Source Community
stays within Dynatrace Open Source Community and will not be disseminated to
other projects unless it is necessary to get the issue fixed.

## Public Disclosure Timing

A public disclosure date is negotiated by the Dynatrace Open Source Community
and the bug submitter. We prefer to fully disclose the bug as soon as possible
once a user mitigation is available. It is reasonable to delay disclosure when
the bug or the fix is not yet fully understood, the solution is not well-tested,
or for vendor coordination. The timeframe for disclosure is from immediate
(especially if it is already publicly known) to a few weeks. For a vulnerability
with a straightforward mitigation, we expect report date to disclosure date to
be on the order of 7 days. The Dynatrace Open Source Community holds the final
say when setting a disclosure date.

## Process

If you find a security-related bug in a Dynatrace Open Source project, we kindly
ask you for responsible disclosure and for giving us appropriate time to react,
analyze, and develop a fix to mitigate the found security vulnerability. The
security contact will investigate the issue within an appropriate timeframe.

The team will react promptly to fix the security issue and its workaround/fix
will be published along with a classification of the security issue.
